import { ButtonInteraction, CategoryChannel, CommandInteraction, Guild, MessageEmbed, MessageEmbedOptions } from "discord.js";
import { Response } from "../types/Types";
export default class Common {
    private static default;
    static setDefaultEmbed(defaultEmbed: MessageEmbed): void;
    static generateEmbed(newEmbedOptions: MessageEmbedOptions): MessageEmbed;
    static concatEmbeds(def: MessageEmbed, second: MessageEmbed): MessageEmbed;
    static isNull(val: any): boolean;
    static getChannel(guild: Guild, channelReference: string): Promise<import("discord.js").GuildBasedChannel>;
    static getMember(guild: Guild, memberReference: string): Promise<import("discord.js").GuildMember>;
    static getCategory(guild: Guild, id: string, create: boolean): Promise<{
        isNew: boolean;
        category: CategoryChannel;
    }>;
    static reply(interaction: CommandInteraction | ButtonInteraction, response: Response): Promise<void>;
}
