import { Client, Collection } from "discord.js";
import SimpleCommand from "./classes/SimpleCommand";
import { config } from "./types/ConfigNames";
import SimpleConfig from "./classes/SimpleConfig";
export default class App {
    client: Client;
    commands: Collection<string, SimpleCommand>;
    config: Collection<config, SimpleConfig>;
    private commandSettings;
    constructor(client: Client, token: string, commandSettings: {
        registerAllGuilds: boolean;
        guilds?: string[];
    });
    private start;
    onCommand(): void;
    getCommandSettings(): {
        registerAllGuilds: boolean;
        guilds?: string[];
    };
}
